import moment from "moment";
// 时间格式 年月日时分秒
export function dateFormat(val) {
  return moment(val).format("YYYY-MM-DD HH:mm:ss");
}

// 时间格式 年月日
export function dateDayFormat(val) {
  return moment(val).format("YYYY-MM-DD");
}

// 时分秒
export function times(val) {
  return moment(val).format("HH:mm:ss");
}

// 年
export function year(val) {
  return moment(val).format("YYYY");
}

// 号数
export function days(val) {
  return moment(val).format("MM-DD");
}

// 过滤叫号状态
export function filterStyle(val) {
  const style = {
    0: "排队中",
    1: "办理中",
    4: "办理完成",
  };
  let str;
  Object.keys(style).forEach((key) => {
    if (key == val) {
      str = style[key];
    }
  });
  return str;
}

// 过滤政治面貌
export function filterPolitical(val) {
  const obj = {
    0: "中共党员",
    1: "中共预备党员",
    2: "共青团员",
    3: "普通居民",
    4: "其他",
  };
  let str;
  Object.keys(obj).forEach((key) => {
    if (key == val) {
      str = obj[key];
    }
  });
  return str;
}

// 过滤密码显示*号
export function filterPwd(val) {
  let str = val.replace(/\S/g, "*");

  return str;
}

// 过滤会员等级
export function filterMember(val) {
  const member = {
    1: "试用客户",
    // 2: "VIP客户",
    3: "设计师",
  };
  let str = "--";
  Object.keys(member).forEach((key) => {
    if (key == val) {
      str = member[key];
    }
  });
  return str;
}

// 过滤客户来源
export function filterCustomerSrc(val) {
  const customer = {
    1: "申请试用",
    2: "顾问签单",
  };
  let str = "--";
  Object.keys(customer).forEach((key) => {
    if (key == val) {
      str = customer[key];
    }
  });
  return str;
}
